Moneybird logo
Moneybird API

Task list templates

Task list templates are reusable blueprints for creating task lists with predefined groups and tasks.


Returns information about a task list template

GET
https://moneybird.com/api/v2
/{administration_id}/task_list_templates/{id}{format}

Returns information about a task list template, including its groups and tasks.

Required scope(s)

All of: bank, documents, estimates, sales_invoices, settings and time_entries

Returns information about a task list template › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Returns information about a task list template › Responses

A task list template

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​identifier · pattern: ^\d+$

A unique record identifier

name
​string
description
​string | null
period
​string | null

ISO 8601 duration string (e.g. "P1M" for one month, "P3M" for one quarter, "P1Y" for one year)

deadline_after
​string | null

ISO 8601 duration string representing the deadline offset from the period end

created_at
​timestamp · date-time
updated_at
​timestamp · date-time

Deletes a task list template

DELETE
https://moneybird.com/api/v2
/{administration_id}/task_list_templates/{id}{format}

Permanently deletes a task list template and all its groups and tasks.

Required scope(s)

All of: bank, documents, estimates, sales_invoices, settings and time_entries

Deletes a task list template › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Deletes a task list template › Responses

Template deleted

No data returned

Updates a task list template

PATCH
https://moneybird.com/api/v2
/{administration_id}/task_list_templates/{id}{format}

Updates a task list template.

Required scope(s)

All of: bank, documents, estimates, sales_invoices, settings and time_entries

Updates a task list template › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Updates a task list template › Request Body

​object

Updates a task list template › Responses

Template updated

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​identifier · pattern: ^\d+$

A unique record identifier

name
​string
description
​string | null
period
​string | null

ISO 8601 duration string (e.g. "P1M" for one month, "P3M" for one quarter, "P1Y" for one year)

deadline_after
​string | null

ISO 8601 duration string representing the deadline offset from the period end

created_at
​timestamp · date-time
updated_at
​timestamp · date-time

Creates a new group in a task list template

POST
https://moneybird.com/api/v2
/{administration_id}/task_list_templates/{task_list_template_id}/groups{format}

Creates a new group in the specified task list template.

Required scope(s)

All of: bank, documents, estimates, sales_invoices, settings and time_entries

Creates a new group in a task list template › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

task_list_template_id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Creates a new group in a task list template › Request Body

​object

Creates a new group in a task list template › Responses

Group created

id
​identifier · pattern: ^\d+$

A unique record identifier

name
​string | null
row_order
​integer
report_type
​string | null
created_at
​timestamp · date-time
updated_at
​timestamp · date-time

List all task list templates of an administration

GET
https://moneybird.com/api/v2
/{administration_id}/task_list_templates{format}

Returns all task list templates in the administration.

Required scope(s)

All of: bank, documents, estimates, sales_invoices, settings and time_entries

List all task list templates of an administration › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

List all task list templates of an administration › Responses

200

A list of task list templates

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​identifier · pattern: ^\d+$

A unique record identifier

name
​string
description
​string | null
period
​string | null

ISO 8601 duration string (e.g. "P1M" for one month, "P3M" for one quarter, "P1Y" for one year)

deadline_after
​string | null

ISO 8601 duration string representing the deadline offset from the period end

created_at
​timestamp · date-time
updated_at
​timestamp · date-time

Creates a new task list template

POST
https://moneybird.com/api/v2
/{administration_id}/task_list_templates{format}

Creates a new task list template.

Required scope(s)

All of: bank, documents, estimates, sales_invoices, settings and time_entries

Creates a new task list template › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Creates a new task list template › Request Body

​object

Creates a new task list template › Responses

Template created

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​identifier · pattern: ^\d+$

A unique record identifier

name
​string
description
​string | null
period
​string | null

ISO 8601 duration string (e.g. "P1M" for one month, "P3M" for one quarter, "P1Y" for one year)

deadline_after
​string | null

ISO 8601 duration string representing the deadline offset from the period end

created_at
​timestamp · date-time
updated_at
​timestamp · date-time